Subject: bug#33463: closed (Re: bug#33463: guix publish error on Hydra: fport_close: Bad file descriptor)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Sep 2021 08:18:02 +0000

Your bug report

#33463: guix publish error on Hydra: fport_close: Bad file descriptor

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33463: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33463
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33463: guix publish error on Hydra: fport_close: Bad file descriptor
From: Mark H Weaver <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Sep 2021 04:15:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Simon,

zimoun <[email-masked]> writes:
> This old bug [1] is about Hydra which is down now, IIRC.
>
> Does it make sense to keep it open?

I think it's okay to close it.  I'm doing so now.

     Thanks!
       Mark

-- 
Disinformation flourishes because many people care deeply about injustice
but very few check the facts.  Ask me about <https://stallmansupport.org>.

Subject: guix publish error on Hydra: fport_close: Bad file descriptor
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Wed, 21 Nov 2018 19:51:12 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

FYI, I just spotted this output from "guix publish" on Hydra.

      Mark

GET /sd34hpwkjdax611r4cqqk5rhna79sl9k.narinfo
GET /ndbv402716xnhsy229m2mgx7lf415ank.narinfo
GET /jj4ibyflqrd24xb16p7vsadj7nr3ik2k.narinfo
GET /fxxba73sgq1r2vav5imj2wsp6cy4mqlj.narinfo
GET /d38frkfi36nq10c0sss7fr8rnz2alhdn.narinfo
GET /clgxxvd97r7dwgdx0vczwp90hhcixnvm.narinfo
GET /bq2c0p4bl18fh0fbd0zav0svnry9c60x.narinfo
In guix/workers.scm:
GET /911rlhagn0f6rcwf6ysfjd0c3xvmi3cp.narinfo
     74:9  2 (_)
    78:32  1 (_ system-error "fport_close" "~A" ("Bad file descrip…") …)
In unknown file:
           0 (make-stack #t)
ERROR: In procedure make-stack:
ERROR: In procedure fport_close: Bad file descriptor
GET /21fbk56f29242d246z79d11yv6bsayny.narinfo
GET /mz2ysbhy69y90n6wcyjb1slpcacl08v1.narinfo